Package Details: dangerzone-bin 0.6.1-2

Git Clone URL: https://aur.archlinux.org/dangerzone-bin.git (read-only, click to copy)
Package Base: dangerzone-bin
Description: Take potentially dangerous PDFs, office documents, or images and convert them to a safe PDF
Upstream URL: https://github.com/freedomofpress/dangerzone
Licenses: AGPL-3.0
Submitter: username227
Maintainer: username227
Last Packager: username227
Votes: 11
Popularity: 1.75
First Submitted: 2024-06-09 13:17 (UTC)
Last Updated: 2024-06-11 15:05 (UTC)

Pinned Comments

username227 commented on 2024-06-09 14:17 (UTC)

Changing package name to dangerzone-bin.

Proudmuslim commented on 2023-09-29 15:42 (UTC)

Extremely late comment but I rewrote the package and it works perfectly well on my machine, please let me know if it fails to work on yours

Latest Comments

1 2 3 Next › Last »

username227 commented on 2024-06-11 15:08 (UTC)

OK package is fixed now. Removed pyside2, which python3.12 does not support, and changed to pyside6. Thanks @archipalago_lost for the suggestion. Let me know if you have any other issues. I will try to maintain and keep up to date. Thanks!

archipelago_lost commented on 2024-06-11 02:59 (UTC) (edited on 2024-06-11 05:19 (UTC) by archipelago_lost)

I just updated the package and experienced the same error, I tried to fix it but got stuck.

First I detected all the unneeded packages by running pacman -Qqd | pacman -Rsu --print -

After I removed them all, I saw this error ModuleNotFoundError: No module named 'PySide6'

Then I installed pyside6, now I could open dangerzone but it shows this [ERROR] Docker is not running

So maybe we should change dependencies and rebuild?

Update:

I found the cohort: I disabled the user namespaces.

After rebuilding with pyside6 and enabling user namespaces I fixed the error.

Please change the dependency from pyside2 to pyside6, thanks.

username227 commented on 2024-06-10 11:59 (UTC)

OK thanks for the info. I would like to get confirmation if the program actually can start properly after installation. On my system, i'm getting a segfault, would like to know if it's just me or if it's a problem with everyone. thanks.

archipelago_lost commented on 2024-06-10 06:29 (UTC) (edited on 2024-06-10 06:30 (UTC) by archipelago_lost)

@username227 Thank you for the update. Please change the license as well.

New license: AGPL v3

Dangerzone was originally licensed under the MIT License until version 0.5.1. The PyMuPDF project though, which we are including in this release thanks to its significant improvements to Dangerzone, is licensed under AGPLv3. In order to comply with the license's terms, we have decided to switch the Dangerzone license to AGPLv3 as well. This change should affect only entities who are offering Dangerzone commercially, as part of a closed-source offering.

username227 commented on 2024-06-10 04:46 (UTC)

@taivlam, does the program work for you after installation?

taivlam commented on 2024-06-10 03:50 (UTC)

This package now installs, thank you! (I also didn't realize pyside2 moved into the AUR, so I rebuilt it so that I could install pyside2 and python-shiboken2.)

username227 commented on 2024-06-10 03:22 (UTC)

OK I think I fixed this issue by making some minor changes to correct the python version. Please rebuild the package now and you should no longer get the error. However, I am getting a segfault, and gdb is not providing any backtrace.

username227 commented on 2024-06-10 01:15 (UTC)

After doing more research, your issue most likely, @taivlam, is that one of the dependencies for this package that also uses python was installed prior to the update to version 3.12 and needs to be rebuilt.

username227 commented on 2024-06-10 00:17 (UTC)

Well, i'm just taking a wild guess here, but try installing the package python-importlib-metadata.

If it works, i'll add it to depends.

taivlam commented on 2024-06-09 23:18 (UTC)

Dangerzone doesn't run when I launch it in Manjaro Unstable. In the CLI, I received the error below when trying to start Dangerzone in a terminal? Do anyone have any suggestions?

$ dangerzone
Traceback (most recent call last):
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 397, in from_name
    return next(cls.discover(name=name))
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dangerzone", line 33, in <module>
    sys.exit(load_entry_point('dangerzone==0.6.1', 'console_scripts', 'dangerzone')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/dangerzone", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
                       ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 862, in distribution
    return Distribution.from_name(distribution_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 399, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for dangerzone